Subject: Re: Boot failures with "mm/sparse: Remove CONFIG_SPARSEMEM_ALLOC_MEM_MAP_TOGETHER" on powerpc (was Re: mmotm 2018-07-10-16-50 uploaded)

From: Andrew Morton <[email-masked]>
Date: Wed, 11 Jul 2018 14:13:44 -0700

On Wed, 11 Jul 2018 09:55:59 -0400 Pavel Tatashin <[email-masked]> wrote:

> On Wed, Jul 11, 2018 at 9:37 AM Oscar Salvador
> <[email-masked]> wrote:
> >
> > On Wed, Jul 11, 2018 at 10:49:58PM +1000, Michael Ellerman wrote:
> > > [email-masked] writes:
> > > > The mm-of-the-moment snapshot 2018-07-10-16-50 has been uploaded to
> > > >
> > > >    http://www.ozlabs.org/~akpm/mmotm/
> > > ...
> > >
> > > > * mm-sparse-add-a-static-variable-nr_present_sections.patch
> > > > * mm-sparsemem-defer-the-ms-section_mem_map-clearing.patch
> > > > * mm-sparsemem-defer-the-ms-section_mem_map-clearing-fix.patch
> > > > * mm-sparse-add-a-new-parameter-data_unit_size-for-alloc_usemap_and_memmap.patch
> > > > * mm-sparse-optimize-memmap-allocation-during-sparse_init.patch
> > > > * mm-sparse-optimize-memmap-allocation-during-sparse_init-checkpatch-fixes.patch
> > >
> > > > * mm-sparse-remove-config_sparsemem_alloc_mem_map_together.patch
> > >
> > > This seems to be breaking my powerpc pseries qemu boots.
> > >
> > > The boot log with some extra debug shows eg:
> > >
> > >   $ make pseries_le_defconfig
> >
> > Could you please share the config?
> > I was not able to find such config in the kernel tree.

(top-posting repaired so I can reply to your email, add other people
and not confuse the heck out of them.  Please don't)

> I am OK, if this patch is removed from Baoquan's series. But, I would
> still like to get rid of CONFIG_SPARSEMEM_ALLOC_MEM_MAP_TOGETHER, I
> can work on this in my sparse_init re-write series. ppc64 should
> really fallback safely to small chunks allocs, and if it does not
> there is some existing bug. Michael please send the config that you
> used.

OK, I shall drop
mm-sparse-remove-config_sparsemem_alloc_mem_map_together.patch for now.